std::__detail::_Grep_matcher Class Reference
Base and Implementation Classes

## Public Member Functions

| _Grep_matcher (_PatternCursor &__p, _Results &__r, const _AutomatonPtr &__automaton, regex_constants::match_flag_type __flags)

## Detailed Description

Executes a regular expression NFA/DFA over a range using a variant of the parallel execution algorithm featured in the grep utility, modified to use Laurikari tags.

Definition at line 110 of file regex_grep_matcher.h.

The documentation for this class was generated from the following files:

- regex_grep_matcher.h
- regex_grep_matcher.tcc